curl --request POST \
--url https://api.hubapi.com/media-bridge/2026-03/{appId}/properties/{objectType}/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"groupName": "<string>",
"label": "<string>",
"name": "<string>",
"calculationFormula": "<string>",
"currencyPropertyName": "<string>",
"description": "<string>",
"displayOrder": 123,
"externalOptions": true,
"formField": true,
"hasUniqueValue": true,
"hidden": true,
"options": [
{
"displayOrder": 123,
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"referencedObjectType": "<string>",
"showCurrencySymbol": true
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"allowedObjectTypes": [
{
"innerId": 123,
"metaTypeId": 123
}
],
"calculated": true,
"canArchive": true,
"canRestore": true,
"createdAt": 123,
"createdUserId": 123,
"currencyPropertyName": "<string>",
"deleted": true,
"description": "<string>",
"displayOrder": 123,
"enforceMultivalueUniqueness": true,
"externalOptions": true,
"externalOptionsReferenceType": "<string>",
"favorited": true,
"favoritedOrder": 123,
"fieldType": "<string>",
"formField": true,
"fromUserId": 123,
"groupName": "<string>",
"hasUniqueValue": true,
"hidden": false,
"hubspotDefined": true,
"isCustomizedDefault": true,
"isMultiValued": true,
"isPartial": true,
"label": "<string>",
"mutableDefinitionNotDeletable": true,
"name": "<string>",
"options": [
{
"description": "<string>",
"displayOrder": 123,
"doubleData": 123,
"hidden": true,
"label": "<string>",
"readOnly": true,
"value": "<string>"
}
],
"optionsAreMutable": true,
"owningAppId": 123,
"portalId": 123,
"readOnlyDefinition": true,
"readOnlyValue": true,
"searchableInGlobalSearch": true,
"sensitiveDataCategories": [
"<string>"
],
"showCurrencySymbol": true,
"updatedAt": 123
}
],
"startedAt": "2023-11-07T05:31:56Z",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Crée un lot de propriétés du type d’objet spécifié.
curl --request POST \
--url https://api.hubapi.com/media-bridge/2026-03/{appId}/properties/{objectType}/batch/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"inputs": [
{
"groupName": "<string>",
"label": "<string>",
"name": "<string>",
"calculationFormula": "<string>",
"currencyPropertyName": "<string>",
"description": "<string>",
"displayOrder": 123,
"externalOptions": true,
"formField": true,
"hasUniqueValue": true,
"hidden": true,
"options": [
{
"displayOrder": 123,
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"referencedObjectType": "<string>",
"showCurrencySymbol": true
}
]
}
'{
"completedAt": "2023-11-07T05:31:56Z",
"results": [
{
"allowedObjectTypes": [
{
"innerId": 123,
"metaTypeId": 123
}
],
"calculated": true,
"canArchive": true,
"canRestore": true,
"createdAt": 123,
"createdUserId": 123,
"currencyPropertyName": "<string>",
"deleted": true,
"description": "<string>",
"displayOrder": 123,
"enforceMultivalueUniqueness": true,
"externalOptions": true,
"externalOptionsReferenceType": "<string>",
"favorited": true,
"favoritedOrder": 123,
"fieldType": "<string>",
"formField": true,
"fromUserId": 123,
"groupName": "<string>",
"hasUniqueValue": true,
"hidden": false,
"hubspotDefined": true,
"isCustomizedDefault": true,
"isMultiValued": true,
"isPartial": true,
"label": "<string>",
"mutableDefinitionNotDeletable": true,
"name": "<string>",
"options": [
{
"description": "<string>",
"displayOrder": 123,
"doubleData": 123,
"hidden": true,
"label": "<string>",
"readOnly": true,
"value": "<string>"
}
],
"optionsAreMutable": true,
"owningAppId": 123,
"portalId": 123,
"readOnlyDefinition": true,
"readOnlyValue": true,
"searchableInGlobalSearch": true,
"sensitiveDataCategories": [
"<string>"
],
"showCurrencySymbol": true,
"updatedAt": 123
}
],
"startedAt": "2023-11-07T05:31:56Z",
"links": {},
"requestedAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://developers.hubspot.fr/docs/llms.txt
Use this file to discover all available pages before exploring further.
Supported products
The access token received from the authorization server in the OAuth 2.0 flow.
L'appId de l'application Media Bridge. Il est possible d'avoir plusieurs applications dans votre compte développeur qui utilisent le Media Bridge.
Le type d'objet pour lequel les propriétés doivent être créées.
Show child attributes